Package org.apache.sysds.runtime.iogen

## Class ReaderMapping.FrameReaderMapping

- java.lang.Object
- - org.apache.sysds.runtime.iogen.ReaderMapping
  - - org.apache.sysds.runtime.iogen.ReaderMapping.FrameReaderMapping

Enclosing class:
  ReaderMapping

    public static class ReaderMapping.FrameReaderMapping
    extends ReaderMapping

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.iogen.ReaderMapping

`ReaderMapping.FrameReaderMapping, ReaderMapping.MatrixReaderMapping`

### Constructor Summary

Constructors
`FrameReaderMapping​(String raw, FrameBlock frame)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.iogen.ReaderMapping

`getFileFormatPropertiesOfRRCIMapping, getFileFormatPropertiesOfRRCRMapping, getFormatProperties, isMapped, isRowRegular, isSymmetric, runMapping`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameReaderMapping

    public FrameReaderMapping​(String raw,
                              FrameBlock frame)
                       throws Exception

Throws:
  `Exception`